Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher.descriptor
Class ApplicationDescriptor

    java.lang.Object
      org.mule.module.launcher.descriptor.ApplicationDescriptor

Direct Known Subclasses:
  EmptyApplicationDescriptor

    public class ApplicationDescriptor

extends Object

Field Summary
`static String` | `CLASSNAME_SPRING_CONFIG_BUILDER` Required to support the '-config spring' shortcut.
`static String` | `DEFAULT_APP_PROPERTIES_RESOURCE`
`static String` | `DEFAULT_CONFIGURATION_RESOURCE`

Constructor Summary
`ApplicationDescriptor()`

Method Summary
`String` | `getAppName()`
`Map<String,String>` | `getAppProperties()`
`String[]` | `getConfigResources()`
`String` | `getConfigurationBuilder()` Config builder name.
`String` | `getDomain()`
`String` | `getEncoding()`
`boolean` | `isParentFirstClassLoader()` Default (true) mode is a regular java classloading policy.
`boolean` | `isPriviledged()`
`boolean` | `isRedeploymentEnabled()`
`void` | `setAppName(String appName)`
`void` | `setAppProperties(Map<String,String> appProperties)`
`void` | `setConfigResources(String[] configResources)`
`void` | `setConfigurationBuilder(String configurationBuilder)`
`void` | `setDomain(String domain)`
`void` | `setEncoding(String encoding)`
`void` | `setParentFirstClassLoader(boolean parentFirstClassLoader)`
`void` | `setPriviledged(boolean priviledged)`
`void` | `setRedeploymentEnabled(boolean redeploymentEnabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONFIGURATION_RESOURCE

    public static final String DEFAULT_CONFIGURATION_RESOURCE

See Also:
  Constant Field Values

### DEFAULT_APP_PROPERTIES_RESOURCE

    public static final String DEFAULT_APP_PROPERTIES_RESOURCE

See Also:
  Constant Field Values

### CLASSNAME_SPRING_CONFIG_BUILDER

    public static final String CLASSNAME_SPRING_CONFIG_BUILDER

  Required to support the '-config spring' shortcut. Don't use a class object so the core doesn't depend on mule-module-spring.

  See Also:
    Constant Field Values

Constructor Detail

### ApplicationDescriptor

    public ApplicationDescriptor()

Method Detail

### getAppName

    public String getAppName()

### setAppName

    public void setAppName(String appName)

### getEncoding

    public String getEncoding()

### setEncoding

    public void setEncoding(String encoding)

### getAppProperties

    public Map<String,String> getAppProperties()

### setAppProperties

    public void setAppProperties(Map<String,String> appProperties)

### getConfigurationBuilder

    public String getConfigurationBuilder()

  Config builder name. If the name not found among available builder shortcuts (e.g. 'spring' for default xml-based Mule config), then a FQN of the class to use.

  Returns:
    null for defaults

### setConfigurationBuilder

    public void setConfigurationBuilder(String configurationBuilder)

### getDomain

    public String getDomain()

### setDomain

    public void setDomain(String domain)

### isParentFirstClassLoader

    public boolean isParentFirstClassLoader()

  Default (true) mode is a regular java classloading policy. When inverted (false), application libraries will be consulted before any other locations.

  Returns:
    default is true

### setParentFirstClassLoader

    public void setParentFirstClassLoader(boolean parentFirstClassLoader)

### getConfigResources

    public String[] getConfigResources()

### setConfigResources

    public void setConfigResources(String[] configResources)

### isRedeploymentEnabled

    public boolean isRedeploymentEnabled()

### setRedeploymentEnabled

    public void setRedeploymentEnabled(boolean redeploymentEnabled)

### isPriviledged

    public boolean isPriviledged()

### setPriviledged

    public void setPriviledged(boolean priviledged)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.